package javax.swing;

import javax.swing.event.ChangeListener;

public interface SingleSelectionModel
{
    public abstract int getSelectedIndex();
    
    public abstract void setSelectedIndex(int p0);
    
    public abstract void clearSelection();
    
    public abstract boolean isSelected();
    
    public abstract void addChangeListener(ChangeListener p0);
    
    public abstract void removeChangeListener(ChangeListener p0);
}
